package com.crm.rely.backend.core.enums;

/**
 * mam类型
 *
 * @author y
 * @create 2022/1/21
 */
public enum MamType {


    MAM(1, "MAM"),
    PAMM(2, "PAMM"),
    PM(3, "PM");


    private final Integer code;
    private final String desc;

    MamType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static MamType matchCode(Integer code) {
        for (MamType type : MamType.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
